﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EcoMvcExample.MvcWebsite.Controllers.ViewData
{
    /// <summary>
    /// In this one we will pass a list of tasks for use by the view to display.
    /// </summary>
    public class TaskListViewData: CommonViewData
    {
        private IList<Task> FTasks = null;

        public IList<Task> Tasks
        {
            get
            {
                return FTasks;
            }

            set
            {
                if (FTasks != value)
                    FTasks = value;
            }
        }
    }
}
