﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="About.aspx.cs" Inherits="EcoMvcExample.MvcWebsite.Views.Home.About" %>

<asp:Content ID="aboutContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>About This Example</h2>
    <p>Well I thought a quick example of how to work with ECO in an MVC application would be helpful to others seeking to start out in the Microsoft ASP.NET MVC world, 
        and possibly those that are already ECO users.</p>
    <p>This example is a bit of a mix of things, some basic ASP.NET stuff like membership providers seemingly started for us in the standard Microsoft New ASP.NET MVC Web Application.</p>
    <p>Most of the standard Microsoft provided stuff is in the HomeController and the AccountController, with the exclusion of a small amount added to the AccountController.Register method that creates an ECO object that I use to represent the user in this example (which we could possibly do by using the ECO Membership and other ASP.NET Providers, but I haven't here).</p>
    <p>The nice thing about this is it does show that you can work with multiple things in this web application, be they standard ASP.NET WebForms, Web Services, and the MVC structured application as well.  It isn't an exclusion, more an addition too, whilst it's addition in my opinion is far better for ASP.NET, as it's performance alone is an excellent improvement!</p>
</asp:Content>
