﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="Details.aspx.cs" Inherits="EcoMvcExample.MvcWebsite.Views.Tasks.Details" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
<% if (ViewData.Model != null)
   { %>
    <table>
        <tbody>
            <tr>
                <td><b>Dated:</b></td>
                <td><%= Html.Encode(ViewData.Model.DateEntered.ToShortDateString()) %></td>
            </tr>
        
            <tr>
                <td><b>Name:</b></td>
                <td><%= Html.Encode(ViewData.Model.Name) %></td>
            </tr>
            
            <tr>
                <td><b>Completed:</b></td>
                <td><%= Html.Encode(ViewData.Model.Completed.ToString()) %></td>
            </tr>
            
            <tr>
                <td><b>Notes:</b></td>
                <td><%= ShowNotes(ViewData.Model)%></td>
            </tr>
            
            <tr>
                <td>&nbsp;</td>
            </tr>
        </tbody>
    </table>
<% }
   else
   { %>
   <h2>No Task Information</h2>
   <p>For some reason we do not seem to have information relating to a valid Task, so we are sorry to say we cannot display what you might be looking for at this time.</p>
<% } %>
</asp:Content>